NullCoefTermConsumer Class Reference

This follows the null object pattern. More...

`#include <NullCoefTermConsumer.h>`

Inheritance diagram for NullCoefTermConsumer:

## Public Member Functions

virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Detailed Description

This follows the null object pattern.

None of the methods do anything.

Definition at line 31 of file NullCoefTermConsumer.h.

## Member Function Documentation

## beginConsuming()

void NullCoefTermConsumer::beginConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 23 of file NullCoefTermConsumer.cpp.

## consume() [1/4]

void NullCoefTermConsumer::consume | ( | const BigPolynomial & | poly | ) |

virtual

Reimplemented from CoefBigTermConsumer.

Definition at line 40 of file NullCoefTermConsumer.cpp.

## consume() [2/4]

void NullCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Reimplemented from CoefBigTermConsumer.

Definition at line 26 of file NullCoefTermConsumer.cpp.

## consume() [3/4]

void NullCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

virtual

Implements CoefBigTermConsumer.

Definition at line 29 of file NullCoefTermConsumer.cpp.

## consume() [4/4]

void NullCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

virtual

Implements CoefBigTermConsumer.

Definition at line 33 of file NullCoefTermConsumer.cpp.

## consumeRing()

void NullCoefTermConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 20 of file NullCoefTermConsumer.cpp.

## doneConsuming()

void NullCoefTermConsumer::doneConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 37 of file NullCoefTermConsumer.cpp.

The documentation for this class was generated from the following files:

- src/NullCoefTermConsumer.h
- src/NullCoefTermConsumer.cpp